Skip to main content
GET
/
applications
/
{id}
Get application details
curl --request GET \
  --url https://hireloam.com/api/v1/applications/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://hireloam.com/api/v1/applications/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://hireloam.com/api/v1/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "application": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "candidate": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "full_name": "<string>",
      "primary_email": "[email protected]",
      "linkedin_url": "<string>",
      "website_url": "<string>",
      "github_url": "<string>",
      "years_experience": 123,
      "university": "<string>"
    },
    "stage": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "order_index": 123
    },
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "department": "<string>",
      "location": "<string>"
    },
    "ai_profiles": [
      {
        "status": "<string>",
        "summary": "<string>",
        "extracted_json": {}
      }
    ],
    "notes": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "body": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "interview_feedback": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "interview_type": "<string>",
        "body": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "submitted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "attachments": [
      {
        "id": "<string>",
        "file_type": "<string>",
        "original_filename": "<string>"
      }
    ],
    "application_answers": [
      {
        "id": "<string>",
        "question_text": "<string>",
        "answer_text": "<string>"
      }
    ]
  }
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "not_found",
"message": "Application not found"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

id
string<uuid>
required

The application ID

Response

Application details

application
object